<?php

class Wact_Template_Formatter_lowercase_TestCase extends Wact_Test_Case_Template {

    function testLowercaseVariable() {
        $tmpl = $this->createTempTemplate('{$test|lowercase}');

        $tmpl->setModel(array('test' => 'TesTing'));
        $output = $tmpl->capture();
        $this->assertEqual($output, 'testing');
    }

    function testLowercaseConstant() {
        $tmpl = $this->createTempTemplate('{$"FoO"|lowercase}');
        $output = $tmpl->capture();
        $this->assertEqual($output, 'foo');
    }

}
?>